<?

include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/user.php';

only_reg(); 

switch (@$_GET['type']) {
case 'favorite':
$type='favorite';
$type_name='Избранные';
break;
case 'ignor':
$type='ignor';
$type_name='Игнорируемые';
break;
case 'deleted':
$type='deleted';
$type_name='Корзина';
break;
default:
$type='common';
$type_name='Direct';
break;
}

$set['title']=$type_name.' ';
include_once '../../sys/inc/thead.php';
title();

if (isset($_GET['id'])){
$ank=get_user($_GET['id']);
if ($ank){
if (isset($_GET['act'])){
switch ($_GET['act']) {
case 'add':
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `users_konts` WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]'"), 0) == 1)
$err[]='Этот пользователь уже есть в вашем списке контактов';
else
{
mysql_query("INSERT INTO `users_konts` (`id_user`, `id_kont`, `time`) VALUES ('$user[id]', '$ank[id]', '$time')");
$_SESSION['message'] = 'Диалог добавлен';
header("Location: ?");
exit;
}

break;
case 'del':
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `users_konts` WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]'"), 0) == 0)
$warn[]='Этого пользователя нет в вашем списке контактов';
else
{
mysql_query("UPDATE `users_konts` SET `type` = 'deleted', `time` = '$time' WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]' LIMIT 1");
$_SESSION['message'] = 'Диалог перенесен в корзину';
header("Location: ?");
exit;
$type='deleted';
}
break;
}
}
}
else
$err[]='Пользователь не найден';
}

if (isset($_GET['act']) && $_GET['act'] == 'edit_ok' && isset($_GET['id']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `id` = '".intval($_GET['id'])."' LIMIT 1"),0) == 1){
$ank=get_user(intval($_GET['id']));
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `users_konts` WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]'"), 0) == 1){
$kont=mysql_fetch_array(mysql_query("SELECT * FROM `users_konts` WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]'"));
if (isset($_POST['name']) && $_POST['name']!=($kont['name']!=null?$kont['name']:$ank['nick'])){
if (preg_match('#[^A-z0-9\-_\.,\[\]\(\) ]#i', $_POST['name']))$err[]='В названии контакта присутствуют запрещенные символы';
if (strlen($_POST['name'])>64)$err[]='Название контакта длиннее 64-х символов';
if (!isset($err)){
mysql_query("UPDATE `users_konts` SET `name` = '".mysql_real_escape_string(htmlspecialchars($_POST['name']))."' WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]' LIMIT 1");
$_SESSION['message'] = 'Контакт успешно переименован';
header("Location: ?");
exit;
}
}

if (isset($_POST['type']) && preg_match('#^(common|ignor|favorite|deleted)$#',$_POST['type']) && $_POST['type']!=$type){
mysql_query("UPDATE `users_konts` SET `type` = '$_POST[type]', `time` = '$time' WHERE `id_user` = '$user[id]' AND `id_kont` = '$ank[id]' LIMIT 1");
$_SESSION['message'] = 'Диалог перенесен';
header("Location: ?");
exit;
}

}

else

$err[]='Контакт не найден';

}

aut();

//Отмеченные
foreach ($_POST as $key => $value){
if (preg_match('#^post_([0-9]*)$#',$key,$postnum) && $value='1'){
$delpost[] = $postnum[1];
}
}

//Игнор 
if (isset($_POST['ignor'])){
if (isset($delpost) && is_array($delpost)){
echo '<div class="mess">Контакт(ы): ';
for ($q=0; $q<=count($delpost)-1; $q++) {
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `users_konts` WHERE `id_user` = '$user[id]' AND `id_kont` = '$delpost[$q]'"), 0) == 0)
$warn[]='Этого пользователя нет в вашем списке контактов';
else
{
mysql_query("UPDATE `users_konts` SET `type` = 'ignor', `time` = '$time' WHERE `id_user` = '$user[id]' AND `id_kont` = '$delpost[$q]' LIMIT 1");
}
$ank_del = get_user($delpost[$q]);
echo '<font color="#395aff"><b>' . $ank_del['nick'] . '</b></font>, ';
}
echo ' добавлен(ы) в черный список</div>';
}else{
$err[] = 'Не выделено ни одного контакта';
}
}

//Активные 
if (isset($_POST['common'])){
if (isset($delpost) && is_array($delpost)){
echo '<div class="msg">Диалоги: ';
for ($q=0; $q<=count($delpost)-1; $q++) {
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `users_konts` WHERE `id_user` = '$user[id]' AND `id_kont` = '$delpost[$q]'"), 0) == 0)
$warn[]='Этого пользователя нет в вашем списке контактов';
else
{
mysql_query("UPDATE `users_konts` SET `type` = 'common', `time` = '$time' WHERE `id_user` = '$user[id]' AND `id_kont` = '$delpost[$q]' LIMIT 1");
}
$ank_del = get_user($delpost[$q]);
echo '<b>' . $ank_del['ank_name'] . '</b>, ';
}
echo ' перенесен(ы) в диалоги</div>';
}else{
$err[] = 'Не выделено ни одного контакта';
}
}

//Избранное
if (isset($_POST['favorite'])){
if (isset($delpost) && is_array($delpost)){
echo '<div class="msg">Диалоги ';
for ($q=0; $q<=count($delpost)-1; $q++) {
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `users_konts` WHERE `id_user` = '$user[id]' AND `id_kont` = '$delpost[$q]'"), 0) == 0)
$warn[]='Этого пользователя нет в вашем списке контактов';
else
{
mysql_query("UPDATE `users_konts` SET `type` = 'favorite', `time` = '$time' WHERE `id_user` = '$user[id]' AND `id_kont` = '$delpost[$q]' LIMIT 1");
}
$ank_del = get_user($delpost[$q]);
echo '<b>' . $ank_del['ank_name'] . '</b>, ';
}
echo ' перенесен(ы) в избранное</div>';
}else{
$err[] = 'Не выделено ни одного контакта';
}
}

//Удаляем
if (isset($_POST['deleted'])){
if (isset($delpost) && is_array($delpost)){
echo '<div class="mess">Контакт(ы): ';
for ($q=0; $q<=count($delpost)-1; $q++) {
if (mysql_result(mysql_query("SELECT COUNT(*) FROM `users_konts` WHERE `id_user` = '$user[id]' AND `id_kont` = '$delpost[$q]'"), 0) == 0)
$warn[]='Этого пользователя нет в вашем списке контактов';
else
{
mysql_query("UPDATE `users_konts` SET `type` = 'deleted', `time` = '$time' WHERE `id_user` = '$user[id]' AND `id_kont` = '$delpost[$q]' LIMIT 1");
}
$ank_del = get_user($delpost[$q]);
echo '<b>' . $ank_del['nick'] . '</b>, ';
}
echo ' успешно перенесен(ы) в корзину</div>';
}else{
$err[] = 'Не выделено ни одного контакта';
}
}

err();

if ($type == 'deleted')echo '<div class="err">В корзине диалоги хранятся не более месяца.</div>';

$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `users_konts` WHERE `id_user` = '$user[id]' AND `type` = '$type'"), 0);
if ($k_post){
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$q = mysql_query("SELECT * FROM `users_konts` WHERE `id_user` = '$user[id]' AND `type` = '$type' ORDER BY `time` DESC, `new_msg` DESC LIMIT $start, $set[p_str]");
$post2 = mysql_query("SELECT * FROM `mail` WHERE `unlink` != '$user[id]' AND `id_user` = '$user[id]' AND `id_kont` = '$ank[id]' OR `id_user` = '$ank[id]' AND `id_kont` = '$user[id]' AND `unlink` != '$user[id]' ORDER BY id DESC LIMIT $start, $set[p_str]");

echo '<form method="post" action="">';

while ($post = mysql_fetch_array($q)){
$ank_kont = get_user($post['id_kont']);

//Перемещение из корзины в диалоги
if ($type == 'deleted'){
echo '<div style="float: right; margin: 23px;">';
echo '<input type="checkbox" name="post_' . $post['id_kont'] . '" value="1" />';
echo '</div>';
}

$k_mess = mysql_result(mysql_query("SELECT COUNT(*) FROM `mail` WHERE `unlink` != '$user[id]' AND `id_user` = '$ank_kont[id]' AND `id_kont` = '$user[id]'"), 0);
$k_mess2 = mysql_result(mysql_query("SELECT COUNT(*) FROM `mail` WHERE `unlink` != '$user[id]' AND `id_user` = '$user[id]' AND `id_kont` = '$ank_kont[id]'"), 0);
$k_mess_to = mysql_result(mysql_query("SELECT COUNT(*) FROM `mail` WHERE `unlink` != '$user[id]' AND `id_user` = '$user[id]' AND `id_kont` = '$ank_kont[id]' AND `read` = '0'"), 0);
$k_new_mess = mysql_result(mysql_query("SELECT COUNT(*) FROM `mail` WHERE `id_user` = '$ank_kont[id]' AND `id_kont` = '$user[id]' AND `read` = '0'"), 0);				
if ($k_mess_to > 0)		$k_mess_to = ' <span style="float:right;"><i style="font-size: 18px; color: #ec2b2b; margin: 0 4px;" class="material-icons">done</i></span>';		else		$k_mess_to = null;

echo '<a style="line-height: 23px;" class="link" href="mail.php?id=' . $ank_kont['id'] . '">';
echo '<span style="float: left; margin: -1px 10px 0 0;">'.avatar($ank_kont['id']).'</span> <span style="margin: 25px -23px;" class="avatar_icon">'.online($ank_kont['id']).'</span>';
echo '<span class="nick">'.user::nick($ank_kont['id'],0).'</span>';

//Новые сообщения и не прочитаные
echo ($k_new_mess != 0 ? '<span style="float: right; color: #e74c3c; font-weight: 600;">' : null) . ($k_new_mess != 0 ? '+' . $k_new_mess : '' . $k_mess_to) . ($k_new_mess != 0 ? '</span> ' : null);

echo '</br>';

//Вывод последнего сообщения
$k_post2 = mysql_result(mysql_query("SELECT COUNT(*) FROM `mail` WHERE `unlink` != '$user[id]' AND `id_user` = '$user[id]' AND `id_kont` = '$ank_kont[id]' OR `id_user` = '$ank_kont[id]' AND `id_kont` = '$user[id]' AND  `unlink` != '$user[id]'"),0);
$mess = mysql_query("SELECT * FROM `mail` WHERE `unlink` != '$user[id]' AND `id_user` = '$ank_kont[id]' AND `id_kont` = '$user[id]' OR `id_user` = '$user[id]' AND `id_kont` = '$ank_kont[id]' AND `unlink` != '$user[id]' ORDER BY id DESC LIMIT 1");
echo '<span style="display: block; white-space: nowrap; overflow: hidden; text-overflow: ellipsis;">';

if ($k_post2==0){
echo 'Сообщений нет...';
}

while ($post = mysql_fetch_array($mess)){
echo output_text($post['msg']);
}

echo '</a>';
}			


if ($type != 'common'){
echo '<div class="block2">';
echo '<input class="button" value="Восстановить" type="submit" name="common" />';
echo '</div>';
}

echo '</form>';

//Вывод страниц
if ($k_page > 1)str("?type=$type&amp;",$k_page,$page); 

}else{

if ($type == 'common'){
echo '<div class="block"><center><p><img width="80" src="/img/insta.png"></p> Список диалогов пуст</center></div>';
}

if ($type == 'deleted'){
echo '<div class="block"><center><p><img width="80" src="/img/insta.png"></p> Список диалогов пуст</center></div>';
}

}

if ($type == 'deleted')echo ($type == 'common' ? '' : null) . '<a class="link" href="?type=common"><i class="material-icons icon">chat_bubble</i> Direct <span class="count">' . ($type == 'common' ? '' : null ) . ' ' . mysql_result(mysql_query("SELECT COUNT(*) FROM `users_konts` WHERE `id_user` = '$user[id]' AND `type` = 'common'"), 0) . '</span></a>';
if ($type == 'common')echo ($type == 'deleted' ? '' : null) . '<a class="link" href="?type=deleted"><i class="material-icons icon">delete</i> Корзина <span class="count">' . ($type == 'deleted' ? '' : null) . ' ' . mysql_result(mysql_query("SELECT COUNT(*) FROM `users_konts` WHERE `id_user` = '$user[id]' AND `type` = 'deleted'"), 0) .'</span></a>';

include_once '../../sys/inc/tfoot.php';

?>